Bug 1009343 - [abrt] gnome-tweak-tool-3.9.91-1.fc20: utils.py:308:__init__:TypeError: add_action() takes exactly 5 arguments (6 given)
[abrt] gnome-tweak-tool-3.9.91-1.fc20: utils.py:308:__init__:TypeError: add_a...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-tweak-tool (Show other bugs)
20
x86_64 Unspecified
high Severity high
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
abrt_hash:45f228070329c10be9d18a12cf2...
:
: 1010509 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 05:10 EDT by Alexander
Modified: 2015-06-29 08:23 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:23:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (765 bytes, text/plain)
2013-09-18 05:10 EDT, Alexander
no flags Details
File: environ (1.31 KB, text/plain)
2013-09-18 05:10 EDT, Alexander
no flags Details

  None (edit)
Description Alexander 2013-09-18 05:10:41 EDT
Version-Release number of selected component:
gnome-tweak-tool-3.9.91-1.fc20

Additional info:
reporter:       libreport-2.1.7
cmdline:        python /usr/bin/gnome-tweak-tool
executable:     /usr/bin/gnome-tweak-tool
kernel:         3.11.1-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
utils.py:308:__init__:TypeError: add_action() takes exactly 5 arguments (6 given)

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gtweak/widgets.py", line 178, in _on_changed_notify_logout
    self.notify_logout()
  File "/usr/lib/python2.7/site-packages/gtweak/tweakmodel.py", line 68, in notify_logout
    self._logoutnotification = LogoutNotification()
  File "/usr/lib/python2.7/site-packages/gtweak/utils.py", line 42, in getinstance
    instances[cls] = cls()
  File "/usr/lib/python2.7/site-packages/gtweak/utils.py", line 308, in __init__
    self._logout, None, None)
TypeError: add_action() takes exactly 5 arguments (6 given)

Local variables in innermost frame:
self: <gtweak.utils.LogoutNotification instance at 0x268e098>
Comment 1 Alexander 2013-09-18 05:10:44 EDT
Created attachment 799223 [details]
File: backtrace
Comment 2 Alexander 2013-09-18 05:10:47 EDT
Created attachment 799224 [details]
File: environ
Comment 3 Mohamed El Morabity 2013-10-13 18:09:11 EDT
*** Bug 1010509 has been marked as a duplicate of this bug. ***
Comment 4 Radoslav Husar 2014-01-16 05:01:34 EST
Another user experienced a similar problem:

configuring window behavior

reporter:       libreport-2.1.10
cmdline:        python /usr/bin/gnome-tweak-tool
executable:     /usr/bin/gnome-tweak-tool
kernel:         3.12.6-300.fc20.x86_64
package:        gnome-tweak-tool-3.10.1-2.fc20
reason:         utils.py:308:__init__:TypeError: add_action() takes exactly 5 arguments (6 given)
runlevel:       N 5
type:           Python
uid:            13346
Comment 5 Moez Roy 2014-03-06 23:07:55 EST
I have steps to reproduce this:

In gnome-tweak-tool-3.10.1-2.fc20 click on "Reset to Defaults".

Then you will get this ABRT.
Comment 6 Rui Matos 2014-07-17 09:31:34 EDT
(In reply to quickbooks.office from comment #5)
> I have steps to reproduce this:
> 
> In gnome-tweak-tool-3.10.1-2.fc20 click on "Reset to Defaults".
> 
> Then you will get this ABRT.

I can't reproduce this. Can anyone here provide step by step reproduction steps?
Comment 7 Jeff Silverman 2014-08-06 13:00:26 EDT
I am running Fedora 20 with both gnome and cinnamon.I looked at my key bindings using the tweak tool under gnome yesterday. When I logged in today, the return key did not work - it does not appear to do anything. I know that my hardware is okay because the return key works when I enter my username and password while logging in. I wrote a quick python program that uses raw_input() to see if the return key would work in an application. It doesn't. Control-m still works, so I am not dead in the water, but it is a dammed nuisance. The problem occurs in both gnome and cinnamon. The problem does not appear in a virtual terminal, but does appear in gnome-terminal.

I went back to the tweak tool this morning. There is an option that says restore to defaults, so I tried it. That threw an error, which took me to https://bugzilla.redhat.com/show_bug.cgi?id=1009343.

In the grand tradition of UNIX, I assume that the keyboard layouts are stored in a text file somewhere. If so, then I can repair the problem using vim. Where is that file?  I can send it to you if you think that would be helpful. Also, is there a way to get a list of functions, sorted by key?
Comment 8 Antoine Cotten 2014-08-08 11:45:46 EDT
Can be reproduced by enabling in 'Keyboard and Mouse > Show all input sources' Gnome Tweak Tools
Comment 9 Marek Novotny 2014-08-17 18:32:23 EDT
(In reply to Antoine Cotten from comment #8)
> Can be reproduced by enabling in 'Keyboard and Mouse > Show all input
> sources' Gnome Tweak Tools

The same reproducer crashes on my desktop with Fedora 20 too.
Comment 10 Fedora End Of Life 2015-05-29 05:25:04 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-06-29 08:23:57 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.